package com.ruoyi.szxc.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.szxc.domain.SzxcJmInfo;

import java.util.List;
import java.util.Map;

/**
 * 居民信息Service接口
 * 
 * @author hs
 * @date 2024-03-16
 */
public interface ISzxcJmInfoService 
{
    /**
     * 查询居民信息
     * 
     * @param id 居民信息主键
     * @return 居民信息
     */
    public SzxcJmInfo selectSzxcJmInfoById(Long id);

    /**
     * 查询居民信息列表
     * 
     * @param szxcJmInfo 居民信息
     * @return 居民信息集合
     */
    public List<SzxcJmInfo> selectSzxcJmInfoList(SzxcJmInfo szxcJmInfo);

    /**
     * 新增居民信息
     * 
     * @param szxcJmInfo 居民信息
     * @return 结果
     */
    public AjaxResult insertSzxcJmInfo(SzxcJmInfo szxcJmInfo);

    /**
     * 修改居民信息
     * 
     * @param szxcJmInfo 居民信息
     * @return 结果
     */
    public AjaxResult updateSzxcJmInfo(SzxcJmInfo szxcJmInfo);

    /**
     * 批量删除居民信息
     * 
     * @param ids 需要删除的居民信息主键集合
     * @return 结果
     */
    public int deleteSzxcJmInfoByIds(Long[] ids);

    /**
     * 删除居民信息信息
     * 
     * @param id 居民信息主键
     * @return 结果
     */
    public int deleteSzxcJmInfoById(Long id);

    List<Map<String, Object>> getDataByAge();

    List<Map<String, Object>> getDataBySex();

    List<Map<String, Object>> getDataByTag();
}
